import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

class DefaultActivitySettings {
  // available game parameters codes
  static const String parameterCodeGameMode = 'gameMode';
  static const String parameterCodeDifficultyLevel = 'difficultyLevel';
  static const List<String> availableParameters = [
    parameterCodeGameMode,
    parameterCodeDifficultyLevel,
  ];

  // game mode: available values
  static const String gameModeValueMedium = 'human-vs-cpu';
  static const List<String> allowedGameModeValues = [
    gameModeValueMedium,
  ];
  // game mode: default value
  static const String defaultGameModeValue = gameModeValueMedium;

  // difficulty level: available values
  static const String difficultyLevelMedium = 'medium';
  static const List<String> allowedDifficultyLevelValues = [
    difficultyLevelMedium,
  ];
  // difficulty level: default value
  static const String difficultyLevelValue = difficultyLevelMedium;

  // available values from parameter code
  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeGameMode:
        return DefaultActivitySettings.allowedGameModeValues;
      case parameterCodeDifficultyLevel:
        return DefaultActivitySettings.allowedDifficultyLevelValues;
    }

    printlog('Did not find any available value for game parameter "$parameterCode".');
    return [];
  }
}
